Subject: Re: bug#63245: Potential regression: cp --preserve=mode or --preserve=all fails to copy files from subdirectory
From: Pádraig Brady <[email-masked]>
To: Schlomo Schapiro <[email-masked]>
Cc: [email-masked], Kamil Dudka <[email-masked]>, Michael Stone <[email-masked]>
Date: Thu, 4 May 2023 23:29:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/05/2023 12:27, Pádraig Brady wrote:
> On 04/05/2023 07:27, Schlomo Schapiro wrote:
>> Hi Pádraig,
>>
>> thank you, that will not yet fix the problem in the older distros? What
>> about the RPM world with Fedora/RHEL and Archlinux? As far as I can tell
>> all cp version 9.x are affected by this.
> 
> I'll handle the Fedora 37/38 fixes.
> RHEL/Centos and current Archlinux are not affected AFAICS.

Fedora 37 and 38 updates are now pending (cc Kamil):
https://bodhi.fedoraproject.org/updates/FEDORA-2023-65365355b3
https://bodhi.fedoraproject.org/updates/FEDORA-2023-4beb422aac

The Fedora patches should also apply to the debian bookworm package,
so I've opened bugs accordingly at:

https://bugs.debian.org/1035530
https://bugs.debian.org/1035531

Schlomo, the second one is the one you're particularly interested in.

Marking this bug as completed upstream.

cheers,
Pádraig